Description

Since Redmine 5.1 there is a new project list for admins using the same query interface as known on projects index page.

With this new project list there is a checkbox on the left for each project in the list.

 

Hovering over the top checkbox displays a tooltipp with "Check all/Uncheck all". For an improved usability and consistency it would

help to localize the tooltipp content.

This can be done in app/views/projects/_list.html.erb. Hier ist the relevant code snippet:

<table class="list projects odd-even <%= @query.css_classes %>">

<thead>

  <tr>

    <% if @admin_list %>

      <th class="checkbox hide-when-print">

        <input type="checkbox" name="check_all" id="check_all" value="" class="toggle-selection" 

title="Check all/Uncheck all"> <--- Not localized text string!

      </th>

    <% end %>

    <% @query.inline_columns.each do |column| %>

      <%= column_header(@query, column) %>

    <% end %>

    <% if @admin_list %>

      <th></th>

    <% end %>

  </tr>

</thead>

Associated revisions

Revision 22675 - 2024-02-03 09:57 - Go MAEDA

Internationalize "Check all / Uncheck all" tooltip in project list for admins (#40166).

Revision 22676 - 2024-02-03 09:59 - Go MAEDA

Add spaces around the slash for consistency and better readability (#40166).

Revision 22677 - 2024-02-03 10:03 - Go MAEDA

Merged r22675 and r22676 from trunk to 5.1-stable (#40166).

History

#1 - 2024-02-01 00:45 - Go MAEDA
- Tracker changed from Feature to Defect

- Category changed from Issues list to Administration

- Status changed from New to Confirmed

- Target version set to 5.1.2

The following change fixes the issue.

Setting the target version to 5.1.2.

diff --git a/app/views/projects/_list.html.erb b/app/views/projects/_list.html.erb

index 1bc8d4687..6fd3b7047 100644

--- a/app/views/projects/_list.html.erb

+++ b/app/views/projects/_list.html.erb

@@ -8,7 +8,8 @@

   <tr>

     <% if @admin_list %>

       <th class="checkbox hide-when-print">

-        <input type="checkbox" name="check_all" id="check_all" value="" class="toggle-selection" title="Check

 all/Uncheck all">

+        <%= check_box_tag 'check_all', '', false, :class => 'toggle-selection',

+              :title => "#{l(:button_check_all)} / #{l(:button_uncheck_all)}" %>

       </th>

     <% end %>

     <% @query.inline_columns.each do |column| %>

#2 - 2024-02-01 01:14 - Go MAEDA

- File 0001-Internationalize-Check-all-Uncheck-all-tooltip-in-pr.patch added

- File 0002-Add-spaces-around-the-slash-for-consistency-and-bett.patch added

Updated the patch.

The second patch 0002-Add-spaces-around-the-slash-for-consistency-and-bett.patch changes the existing "Check all/Uncheck all" strings to "Check

all / Uncheck all" for consistency and better readability.

#3 - 2024-02-03 10:00 - Go MAEDA

- Subject changed from Localize "Check all/Uncheck all" tooltip in project list for admins to Internationalize "Check all / Uncheck all" tooltip in project list

for admins

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22675. Thank you for reporting the issue.

#4 - 2024-02-03 10:03 - Go MAEDA

- Status changed from Resolved to Closed
